View Issue Details

IDProjectCategoryView StatusLast Update
0000875Main CAcert Websitesource codepublic2014-10-28 22:17
ReporterINOPIAE Assigned ToNEOatNHNG  
PrioritynormalSeveritytweakReproducibilityalways
Status needs reviewResolutionopen 
Product Version2010 Q4 
Target Version2014 Q1 
Summary0000875: In german register routine the error message is in english
DescriptionWhile trying to register a new member on the test server I run into the follwing problem, which is also on the production server.
While using the German translation one error message is in English instead of German. The message for problems with the password:
"The Pass Phrase you submitted failed to contain enough differing characters and/or contained words from your name and/or email address. Only scored -1 points out of 6." In transligo the phrase is translated. May be its a problem with the placeholder for the translated phrase.
All other error messages that I tried to produced are in German as aspected.
TagsNo tags attached.
Reviewed byBenBE
Test Instructions

Relationships

related to 0000846 closedTed Better guidance of bonafide members in Join Form about Suffixes they doesn't have in their ID doxs (a20100207.2) 

Activities

INOPIAE

2011-06-21 18:33

updater   ~0002050

Another ticket with the same problem s20110621.56

INOPIAE

2012-12-12 12:11

updater   ~0003414

The issue is still there.
eg in www/index.php in line 117 you find:
$_SESSION['_config']['errmsg'] = sprintf(_("The Pass Phrase you submitted failed to contain enough differing characters and/or contained words from your name and/or email address. Only scored %s points out of 6."), $score);

The string is translated on translations.cacert.org and reffered to index.php in line 117.

INOPIAE

2014-01-26 17:25

updater   ~0004539

I pushed a fix to https://github.com/INOPIAE/CAcert/tree/bug-875

Test scenario:
On a German sytem try to create a new account with weak password. The message should be in German now.

Eva

2014-01-28 23:09

updater   ~0004556

When I tested this bug, I got the correct kind of message, but the value of the quality of the pw was negative (well it was really bad).

=> ok

MartinGummi

2014-10-28 21:11

updater   ~0005077

Last edited: 2014-10-28 21:17

View 2 revisions

If a translation is availability I see the translated text about passwords.
Test with DE -> ok
Test with SE -> ok
Test with IT -> ok
Test with NL -> ok
Test with FR -> ok
Test with FI -> ok
Test with JA/JP -> ok
Test with ES -> ok

=> OK

INOPIAE

2014-10-28 22:17

updater   ~0005079

Please review as we have at least to successful test.

Issue History

Date Modified Username Field Change
2010-10-06 03:47 INOPIAE New Issue
2011-03-16 16:39 Uli60 Relationship added related to 0000846
2011-06-21 18:33 INOPIAE Note Added: 0002050
2012-12-12 12:11 INOPIAE Note Added: 0003414
2012-12-12 12:12 INOPIAE Assigned To => INOPIAE
2012-12-12 12:12 INOPIAE Status new => needs work
2014-01-26 17:25 INOPIAE Note Added: 0004539
2014-01-26 17:25 INOPIAE Assigned To INOPIAE => BenBE
2014-01-26 17:25 INOPIAE Status needs work => fix available
2014-01-28 20:22 BenBE Reviewed by => BenBE
2014-01-28 20:22 BenBE Status fix available => needs review & testing
2014-01-28 20:22 BenBE Product Version => 2010 Q4
2014-01-28 20:22 BenBE Target Version => 2014 Q1
2014-01-28 20:50 BenBE Source_changeset_attached => cacert-devel testserver-stable 7526e296
2014-01-28 20:50 INOPIAE Source_changeset_attached => cacert-devel testserver-stable 3964af43
2014-01-28 23:09 Eva Note Added: 0004556
2014-10-28 21:11 MartinGummi Note Added: 0005077
2014-10-28 21:17 MartinGummi Note Edited: 0005077 View Revisions
2014-10-28 22:17 INOPIAE Note Added: 0005079
2014-10-28 22:17 INOPIAE Assigned To BenBE => NEOatNHNG
2014-10-28 22:17 INOPIAE Status needs review & testing => needs review